# Create an entity tag assignment

Launch stage: GA

`POST /api/2.1/unity-catalog/entity-tag-assignments`

Creates a tag assignment for an Unity Catalog entity.

 To add tags to Unity Catalog entities, you must own the entity or have the following privileges:
 - **APPLY TAG** on the entity
 - **USE SCHEMA** on the entity's parent schema
 - **USE CATALOG** on the entity's parent catalog

 To add a governed tag to Unity Catalog entities, you must also have the **ASSIGN** or **MANAGE** permission on the tag policy. See [Manage tag policy permissions](https://docs.databricks.com/aws/en/admin/tag-policies/manage-permissions).

API scopes: unity-catalog

## Request body

- `entity_name` (string, required, Immutable)
  The fully qualified name of the entity to which the tag is assigned
- `tag_key` (string, required, Immutable)
  The key of the tag
- `tag_value` (string, optional)
  The value of the tag
- `entity_type` (string, required, Immutable)
  The type of the entity to which the tag is assigned.

## Returns

Returns the EntityTagAssignment object.

## Request

```json
{
  "entity_name": "main.default.customer_data",
  "entity_type": "tables",
  "tag_key": "Severity",
  "tag_value": "high"
}
```

## Response

```json
{
  "entity_name": "main.default.customer_data",
  "entity_type": "tables",
  "source_type": "TAG_ASSIGNMENT_SOURCE_TYPE_UNSPECIFIED",
  "tag_key": "Severity",
  "tag_value": "high",
  "update_time": "2026-01-15T10:30:00.000Z",
  "updated_by": "user@example.com"
}
```

